http
POST https://{instance}.domo.com/api/query/v1/functions/search
X-DOMO-Developer-Token: YOUR_TOKEN
Content-Type: application/json
{
"name": "",
"filters": [
{
"field": "notvariable"
}
],
"sort": {
"field": "name",
"ascending": true
},
"limit": 3,
"offset": 0
}
curl --request POST \
--url https://{instance}.domo.com/api/query/v1/functions/search \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"name": "",
"filters": [
{
"field": "notvariable"
}
],
"sort": {
"field": "name",
"ascending": true
},
"limit": 3,
"offset": 0
}
'import requests
url = "https://{instance}.domo.com/api/query/v1/functions/search"
payload = {
"name": "",
"filters": [{ "field": "notvariable" }],
"sort": {
"field": "name",
"ascending": True
},
"limit": 3,
"offset": 0
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '',
filters: [{field: 'notvariable'}],
sort: {field: 'name', ascending: true},
limit: 3,
offset: 0
})
};
fetch('https://{instance}.domo.com/api/query/v1/functions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalHits": 525,
"results": [
{
"id": 427,
"name": "% Behind Schedule Objects",
"owner": 8811501,
"lastModified": 1670963682352,
"created": 1670963682352,
"global": false,
"locked": false,
"legacyId": "calculation_ab07cd22-2558-4f8f-b692-f39f6869a01a",
"status": "VALID",
"links": [
{
"resource": {
"type": "CARD",
"id": "dr:1947052903:616023142"
},
"visible": true,
"active": false,
"valid": "VALID"
},
{
"resource": {
"type": "DATA_SOURCE",
"id": "aa7d9422-9abe-4581-bbf3-4a8cb5d3fc25"
},
"visible": false,
"active": false,
"valid": "ILLEGAL_REFERENCE"
}
],
"archived": false,
"activeLinks": {}
}
],
"hasMore": true,
"degraded": false
}Beast Modes API
Get All Beast Modes
Gets all Beast Mode objects in the instance.
POST
/
api
/
query
/
v1
/
functions
/
search
http
POST https://{instance}.domo.com/api/query/v1/functions/search
X-DOMO-Developer-Token: YOUR_TOKEN
Content-Type: application/json
{
"name": "",
"filters": [
{
"field": "notvariable"
}
],
"sort": {
"field": "name",
"ascending": true
},
"limit": 3,
"offset": 0
}
Authorizations
Domo Developer Token for authentication
Body
application/json
Filter criteria for the request.
Show child attributes
Show child attributes
Object that takes the field to sort by and ascending as true or false
Show child attributes
Show child attributes
How many records to limit the request by. Must be between 1 and 5000.
Required range:
1 <= x <= 5000To search for Beast Modes by name.
Which record to start the response with.
⌘I